Subject: Re: [PATCH] t/lib-httpd: pass PERL_PATH to CGI scripts

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Apr 2023 09:34:20 -0700

Jeff King <[email-masked]> writes:

> Subject: t/lib-httpd: pass PERL_PATH to CGI scripts
>
> As discussed in t/README, tests should aim to use PERL_PATH rather than
> straight "perl". We usually do this automatically with a "perl" function
> in test-lib.sh, but a few cases need to be handled specially.

Thanks, all, for a discussion that led to this simple solution that
allows us to consistently use what the builder specifies as PERL_PATH,
which we document as the way we aim to invoke "perl".

Will queue.